package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.api.commons.security.bean.UserDataRule;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit.ExamAuditInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit.ExamAuditQuery;
import org.springframework.data.domain.Page;

import java.util.List;

public interface ExamRecordAlreadyAuditService {

    /**
     * 查询“监考已审”列表(分页)
     */
    Page<ExamAuditInfo> getExamRecordAlreadyAuditList(ExamAuditQuery query, UserDataRule courseRule, UserDataRule orgRule);

    /**
     * 查询“监考已审”列表(导出Excel)
     */
    List<ExamAuditInfo> getExamRecordAlreadyAuditListForExport(ExamAuditQuery query, UserDataRule courseRule, UserDataRule orgRule);

}
